Add "hide prefixed projectname from issuesubject on issuelist" setting

2009-11-24 01:54 - Mischa The Evil
Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Description

This issue is extracted from #3100 and it's relatives. The patch adds a new system-wide, issue-tracking setting

(hide_prefixed_projectname_from_issuesubject_on_issuelist) which provides the administrator an option to hide the subproject name

(which is prefixed in front of the issue descriptions on mainproject issue lists) completely.

Such a setting can be useful if the site is configured to display the project-column be default.

The default setting is equal to as it is currently(the projectnames are shown prefixed to the descriptions).

Related issues:

Related to Redmine - Feature #2889: Separate project field and subject in cro... Closed 2009-03-03

Follows Redmine - Feature #3100: Better display of subprojects activiry and t... Closed 2009-04-02

History

#1 - 2009-11-24 01:58 - Mischa The Evil

- File add-setting-hide_prefixed_projectname_from_issuesubject_on_issuelist-r3078.patch added

Oops, forgot to actually attach the patch...

edit: also added some relations

#2 - 2009-11-27 22:51 - Jean-Philippe Lang

What about fully removing the project name from the issue subject ? since the project can now be added as column.

#3 - 2009-12-08 02:31 - Mischa The Evil

Jean-Philippe Lang wrote:

What about fully removing the project name from the issue subject ? since the project can now be added as column.

 Good idea. I see you've removed the project name prefixed to the issue subject already in r3112.

Maybe it's best to also enable the project column as a default issue-list column in the default configuration (source:/trunk/config/settings.yml#L127)?

#4 - 2009-12-08 02:34 - Mischa The Evil

- Status changed from New to Resolved

This patch can be closed without further changes as being obsoleted by changes in the core, when the project column is displayed on issue-lists by

default IMHO.

#5 - 2009-12-23 23:10 - Mischa The Evil

Mischa The Evil wrote:

Jean-Philippe Lang wrote:

What about fully removing the project name from the issue subject ? since the project can now be added as column.

 Good idea. I see you've removed the project name prefixed to the issue subject already in r3112.

Maybe it's best to also enable the project column as a default issue-list column in the default configuration (

source:/trunk/config/settings.yml#L127)?
 Mischa The Evil wrote:

This patch can be closed without further changes as being obsoleted by changes in the core, when the project column is displayed on issue-lists

by default IMHO.

 Jean-Philippe, What do you think of this? Now that the project name prefixes on issue-subjects on the issue-list are removed ánd without the

project-column not actived by default on issue-lists, the situation can occur that a user interprets the issue-list as being for the current project only.

In my opinion such should be avoided if possible... ;)

#6 - 2010-11-14 01:03 - Mischa The Evil

- Status changed from Resolved to New

Mischa The Evil wrote:

Jean-Philippe, What do you think of this? Now that the project name prefixes on issue-subjects on the issue-list are removed ánd without the

project-column not actived by default on issue-lists, the situation can occur that a user interprets the issue-list as being for the current project

only.

 I need to make my statement clearly more obvious. Here it comes: "Now that the projectname-prefixes on issue-subjects on all the issue-lists are

removed ánd without the project-column not actived by default on project issue-lists ánd with the setting ' Display subprojects issues on main

projects by default ' set to TRUE, the situation can occur that a user interprets the project issue-list as being for the current project only while it also

includes issues of the projects' sub-projects (and their sub-projects, I guess...)"

For the above I'd suggest to enable the project column as a default issue-list column in the default configuration (

source:/trunk/config/settings.yml#L127).

Note: The patch could be considered obsolete.
